#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Aug  7 09:54:38 2024

@author: jsteiglechner
"""

from matplotlib.colors import ListedColormap


# https://jfly.uni-koeln.de/color/
colorblind_friendly_colors = [
    (0, 0, 0),  # black
    (230/255, 159/255, 0/255),  # orange
    (86/255, 180/255, 233/255),  # sky blue
    (0/255, 158/255, 115/255),  # blueish green
    (240/255, 228/255, 66/255),  # yellow
    (0/255, 114/255, 178/255),  # blue
    (213/255, 94/255, 0/255),  # vermillion
    (204/255, 121/255, 167/255),  # reddish purple
]
colorblind_friendly_cmap = ListedColormap(
    colors=colorblind_friendly_colors
).with_extremes(over='0.25', under='0.75')
colorblind_friendly_cmap_without_bg = ListedColormap(
    colors=colorblind_friendly_colors[1:]
).with_extremes(over='0.25', under='0.75')
